SoGLDrawStyleElement(3)

NAME
SoGLDrawStyleElement - The SoGLDrawStyleElement updates the current draw style in OpenGL.

SYNOPSIS

#include <Inventor/elements/SoGLDrawStyleElement.h>

Inherits SoDrawStyleElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLDrawStyleElement ()
virtual void setElt (int32_t style)

  Additional Inherited Members

Detailed Description

The SoGLDrawStyleElement updates the current draw style in OpenGL.

Constructor & Destructor Documentation

  SoGLDrawStyleElement::~SoGLDrawStyleElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLDrawStyleElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLDrawStyleElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLDrawStyleElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLDrawStyleElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLDrawStyleElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoDrawStyleElement.

  void SoGLDrawStyleElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

  void SoGLDrawStyleElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

  void SoGLDrawStyleElement::setElt (int32_t value) [protected], [virtual]
Set element value.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.